Sympa::Request::Handler::add(3Sympa)

NAME
Sympa::Request::Handler::add - add request handler

DESCRIPTION
Adds a user to a list (requested by another user). Verifies the proper authorization and sends acknowledgements unless quiet add has been chosen (which requires the quiet_subscription setting to be "optional") or forced (which requires the quiet_subscription setting to be "on").

  Attributes
See also "Attributes" in Sympa::Request.

{email}
    Mandatory. E-mail of the user to be added.

{force}
    Optional. If true value is specified, users will be added even if the list is closed.

{gecos}
    Optional. Display name of the user to be added.

{quiet}
    Optional. Don't notify addition to the user.

SEE ALSO
Sympa::Request::Handler.

HISTORY